Bug 18233 - t/db_dependent/00-strict.t has non-existant resetversion.pl
Summary: t/db_dependent/00-strict.t has non-existant resetversion.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-08 16:12 UTC by Olli-Antti Kivilahti
Modified: 2017-12-07 22:20 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18233 - t/db_dependent/00-strict.t has non-existant resetversion.pl (1.07 KB, patch)
2017-03-08 16:13 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18233 - t/db_dependent/00-strict.t has non-existant resetversion.pl (1.14 KB, patch)
2017-05-02 22:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18233 - t/db_dependent/00-strict.t has non-existant resetversion.pl (1.22 KB, patch)
2017-05-03 11:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2017-03-08 16:12:38 UTC
Prior to pthis patch

root@koha_ci_1:/home/koha/Koha# su -c "prove t/db_dependent" koha
t/db_dependent/00-strict.t ............................... Can't stat resetversion.pl: No such file or directory
 at /usr/share/perl5/Test/Strict.pm line 151.


After this patch, that funky warning has disappeared.
Comment 1 Olli-Antti Kivilahti 2017-03-08 16:13:44 UTC
Created attachment 60924 [details] [review]
Bug 18233 - t/db_dependent/00-strict.t has non-existant resetversion.pl

Removes a warning.
Comment 2 Katrin Fischer 2017-05-02 22:43:10 UTC
Created attachment 63000 [details] [review]
[SIGNED OFF] Bug 18233 - t/db_dependent/00-strict.t has non-existant resetversion.pl

Removes a warning.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Marcel de Rooy 2017-05-03 11:15:18 UTC
Created attachment 63010 [details] [review]
Bug 18233 - t/db_dependent/00-strict.t has non-existant resetversion.pl

Removes a warning.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2017-05-08 13:22:35 UTC
Pushed to master for 17.05, thanks Olli!
Comment 5 Katrin Fischer 2017-05-14 09:24:22 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 6 Julian Maurice 2017-05-22 10:16:44 UTC
Pushed to 3.22.x for 3.22.21
Comment 7 Mason James 2017-05-24 02:28:30 UTC
Pushed to 16.05.x, for 16.05.13 release